# 交我润 (SJTU_AutoRun)

## 目录

- [项目简介](#项目简介)
- [使用方法](#使用方法)
- [近期更新](#近期更新)
- [目前实现的功能](#目前实现的功能)
- [未来开发任务](#未来开发任务)

## 项目简介

![](https://img.shields.io/github/repo-size/cwlm/SJTU_AutoRun)
![](https://img.shields.io/pypi/v/sjtuautorun)
![](https://img.shields.io/pypi/dm/sjtuautorun)
![](https://img.shields.io/github/issues/cwlm/SJTU_AutoRun)
![MIT licensed](https://img.shields.io/badge/license-MIT-brightgreen.svg)

基于雷电模拟器的上海交通大学自动跑步脚本，脱胎于[AutoWSGR](https://github.com/huan-yp/Auto-WSGR)

## 使用方法

见[使用方法](documents/使用方法.md)

## 近期更新

- 修改版本号逻辑，去掉第一位 *2024/08/24*
- 为迎合gui更新至python3.11 *2024/08/24*
- 脚本启动时会检测更新 *2024/03/18*
- 修复了无法自动调整字体的问题 *2024/03/17*
- 修复了无法自动关闭交我办更新页的问题 *2024/03/12*
- 实现了自动结束功能 *2024/03/12*
- 修复定位无法改变的问题 *2024/03/12*
- 修了一些小问题 *2024/03/11*
- 添加光体跑圈 *2024/03/07*
- 添加更多跑步模式 *2024/03/05*
- 实现跑步数据随机化 *2024/03/05*
- 修复瞬移bug，实现速度设置 *2024/03/04*
- 实现自动修改交我办字体大小，自动确认权限 *2024/03/04*
- 实现图像识别自启动 *2024/03/02*
- 重构跑步逻辑，实现不同跑步计划 *2024/03/02*
- 完成脚本基本逻辑，实现单个短程自动跑步 *2024/02/26*

## 目前实现的功能

- [x] 撰写不同跑步策略（如光体、南体跑圈等）
- [x] 实现自动结束
- [x] 随机化跑步数据
- [x] 调整图像识别模块，实现自动启动
- [x] 兼容不同跑步策略

## 未来开发任务

顺序代表开发优先级

- [ ] GUI
- [ ] 定时启动
- [ ] 实现较为准确的距离控制
- [ ] 适配不同交我办语言
